org.eclipse.jetty.websocket

## Interface WebSocketParser

All Known Implementing Classes:
  WebSocketParserD00, WebSocketParserD06, WebSocketParserD08, WebSocketParserRFC6455

    public interface WebSocketParser

Parser the WebSocket protocol.

### Nested Class Summary

Nested Classes
`static interface` `WebSocketParser.FrameHandler`

### Method Summary

Methods
`void` `fill(Buffer buffer)`
`Buffer` `getBuffer()`
`boolean` `isBufferEmpty()`
`int` `parseNext()`

### Method Detail

#### getBuffer

    Buffer getBuffer()

#### parseNext

    int parseNext()

Returns:
  an indication of progress, normally bytes filled plus events parsed, or -1 for EOF

#### isBufferEmpty

    boolean isBufferEmpty()

#### fill

    void fill(Buffer buffer)